## org.apache.cassandra.io
Class SSTableDeletingReference

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.PhantomReference<SSTableReader>
              org.apache.cassandra.io.SSTableDeletingReference

    public class SSTableDeletingReference

extends java.lang.ref.PhantomReference<SSTableReader>

Field Summary
`java.lang.String` `path`
`static int` `RETRY_DELAY`

Method Summary
`void` `cleanup()`
`void` `deleteOnCleanup()`

Methods inherited from class java.lang.ref.PhantomReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RETRY_DELAY

    public static final int RETRY_DELAY

See Also:
  Constant Field Values

### path

    public final java.lang.String path

Method Detail

### deleteOnCleanup

    public void deleteOnCleanup()

### cleanup

    public void cleanup()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation